package com.bonus.canteen.core.supply.purchase.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

@ApiModel
public class DrpPurPlanDetailImportPageVO implements Serializable {
   @ApiModelProperty("采购计划详情id")
   private Long detailId;
   @ApiModelProperty("原料id")
   private Long materialId;
   @ApiModelProperty("原料名称")
   private String materialName;
   @ApiModelProperty("类目")
   private String categoryName;
   @ApiModelProperty("采购数量")
   private BigDecimal planNum;
   @ApiModelProperty("数量")
   private BigDecimal purNum;
   @ApiModelProperty("采购单价")
   private Integer unitPrice;
   @ApiModelProperty("计量单位id")
   private Long unitId;
   @ApiModelProperty("计量单位名称")
   private String unitName;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("供应商名称")
   private String supplierName;
   @ApiModelProperty("规格")
   private String size;
   @ApiModelProperty("入库状态")
   private Integer intoStatus;

   public Long getDetailId() {
      return this.detailId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public BigDecimal getPlanNum() {
      return this.planNum;
   }

   public BigDecimal getPurNum() {
      return this.purNum;
   }

   public Integer getUnitPrice() {
      return this.unitPrice;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public String getSize() {
      return this.size;
   }

   public Integer getIntoStatus() {
      return this.intoStatus;
   }

   public void setDetailId(final Long detailId) {
      this.detailId = detailId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setPlanNum(final BigDecimal planNum) {
      this.planNum = planNum;
   }

   public void setPurNum(final BigDecimal purNum) {
      this.purNum = purNum;
   }

   public void setUnitPrice(final Integer unitPrice) {
      this.unitPrice = unitPrice;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }

   public void setSize(final String size) {
      this.size = size;
   }

   public void setIntoStatus(final Integer intoStatus) {
      this.intoStatus = intoStatus;
   }

}
